PUTWC(3)

NAME
fputwc, putwc, putwchar, fputwc_l, putwc_l, putwchar_l - output a wide character to a stream

SYNOPSIS
#include <stdio.h>
#include <wchar.h>
wint_t
fputwc(wchar_t wc, FILE *stream);
wint_t
putwc(wchar_t wc, FILE *stream);
wint_t
putwchar(wchar_t wc);
#include <xlocale.h>
wint_t
fputwc_l(wchar_t wc, FILE *stream, locale_t loc);
wint_t
putwc_l(wchar_t wc, FILE *stream, locale_t loc);
wint_t
putwchar_l(wchar_t wc, locale_t loc);

DESCRIPTION
The fputwc() and fputwc_l() functions write the wide character wc to the output stream pointed to by stream.

putwc() and putwc_l() act essentially identically to fputwc() and fputwc_l().

putwchar() and putwchar_l() are identical to putwc() and putwc_l() with an output stream of stdout.

The encoding used is defined by the locale provided as parameter in the case of functions with postfix "_l", and by the current locale for the other functions.

RETURN VALUES
These functions return the wide character written. If an error occurs, the value WEOF is returned.

SEE ALSO
ferror(3), fopen(3), getwc(3), putc(3), stdio(3) xlocale(3)

STANDARDS
The functions fputwc(), putwc(), and putwchar(), conform to isoC-99. The functions fputwc_l(), putwc_l(), and putwchar_l() are Darwin extensions.